package tourplaner.business;

import javafx.stage.Stage;
import org.apache.log4j.Logger;
import tourplaner.ui.PresenterMain;

import java.io.IOException;

/**
 * Haupt Logik des Tourplaners
 */
public class TourPlaner{
    private Logger logger;

    /**
     * Startet alle bennötigten Komponenten
     * @param primaryStage Stage für den Presenter
     */
    public TourPlaner(Stage primaryStage){
        logger = LogHelper.getLogger(); // Initialiesiert das Logging
        logger.info("Tour planer Startet!");
        PresenterMain presenterMain = new PresenterMain(primaryStage, logger);  // Start Presenter/GUI
    }
}
